com.trilead.ssh2.sftp

## Class AttribPermissions

- java.lang.Object
- - com.trilead.ssh2.sftp.AttribPermissions

    public class AttribPermissions
    extends java.lang.Object

Permissions for the 'permissions' field in the SFTP ATTRS data type.

"The 'permissions' field contains a bit mask specifying file permissions. These permissions correspond to the st_mode field of the stat structure defined by POSIX [IEEE.1003-1.1996]."

### Field Summary

Fields
`static int` `S_IRGRP`
`static int` `S_IROTH`
`static int` `S_IRUSR`
`static int` `S_ISGID`
`static int` `S_ISUID`
`static int` `S_ISVTX`
`static int` `S_IWGRP`
`static int` `S_IWOTH`
`static int` `S_IWUSR`
`static int` `S_IXGRP`
`static int` `S_IXOTH`
`static int` `S_IXUSR`

### Constructor Summary

Constructors
Constructor and Description
`AttribPermissions()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### S_IRUSR

    public static final int S_IRUSR

See Also:
  Constant Field Values

#### S_IWUSR

    public static final int S_IWUSR

See Also:
  Constant Field Values

#### S_IXUSR

    public static final int S_IXUSR

See Also:
  Constant Field Values

#### S_IRGRP

    public static final int S_IRGRP

See Also:
  Constant Field Values

#### S_IWGRP

    public static final int S_IWGRP

See Also:
  Constant Field Values

#### S_IXGRP

    public static final int S_IXGRP

See Also:
  Constant Field Values

#### S_IROTH

    public static final int S_IROTH

See Also:
  Constant Field Values

#### S_IWOTH

    public static final int S_IWOTH

See Also:
  Constant Field Values

#### S_IXOTH

    public static final int S_IXOTH

See Also:
  Constant Field Values

#### S_ISUID

    public static final int S_ISUID

See Also:
  Constant Field Values

#### S_ISGID

    public static final int S_ISGID

See Also:
  Constant Field Values

#### S_ISVTX

    public static final int S_ISVTX

See Also:
  Constant Field Values

### Constructor Detail

#### AttribPermissions

    public AttribPermissions()